Bug 498949 - Support CDN toggle for proxy
Support CDN toggle for proxy
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
RHN Stable
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan Kearney
Red Hat Network Quality Assurance
US=90542
:
Depends On:
Blocks: rhn-sprint23
  Show dependency treegraph
 
Reported: 2009-05-04 11:05 EDT by James Bowes
Modified: 2013-01-10 05:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 09:25:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2009-05-04 11:05:41 EDT
Toggling the CDN support for a system in the webui/via xmlrpc should affect
what the system does when proxying package downloads for its client systems
Comment 1 James Bowes 2009-05-04 16:45:39 EDT
This one is harder than satellite

To test:
 * install rhel 4.8 (for the latest rhnlib)
 * install a 5.3 proxy
 * activate the proxy
 * edit /usr/share/rhn/proxy/broker/rhnBroker.py to set _PROXY_VERSION to '5.3.1'
 * register a system against the proxy
 * set your proxy's content-aware downloads to either y/n via the webui
 * run a yum install on the other system and watch /var/log/rhn/rhn.log on 
   xmlrpc.back-webdev to see if it detects the pref correctly.
 * check the logs on the cdn instance to verify that it has/has not served the 
   file.
 * repeat for the other setting.
 * also verify that changing the settings for the system registered against the 
   proxy does not change the proxy using/not using CDN

**NOTE: last i heard rhnlib had a bug that was making proxy break. if you're getting ISEs coming from the proxy when trying to download the rpm, edit /etc/sysconfig/rhn/up2date and set storageDir=/tmp
Comment 2 Denise Hughes 2009-05-07 11:08:31 EDT
Verified in dev.  Testopia testcase id = 7906, 7907 and 7908.
Comment 3 Denise Hughes 2009-05-18 09:25:42 EDT
Pushed to prod on 5/15/09.

Note You need to log in before you can comment on or make changes to this bug.